<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML: FORM</title>
</head>
<body>

	<h2>HTML FORMS</h2>
	<p>Input elements that make up a form.</p>

	<form>
		<label for="firstName">First Name:</label>
		<input type="text" id="firstName">
	
	<br />
	<br />

		<label>
			Last Name:
			<input type="text" id="">
		</label>

	<br />
	<br />

		<label for="password">Password:</label>
		<input type="password" id="password">

	<br />
	<br />

		<label for="mobNum">Mobile:</label>
		<input type="number" id="mobNum">

	<br />
	<br />

		<label for="dob">Date of Birth:</label>
		<input type="date" id="dob" >

	<br />
	<br />

		<label>Gender:
			<select>
				<option>Male</option>
				<option>Female</option>
				<option>Rather not say</option>
			</select>
		</label>

	<br />
	<br />

		<label>Comment:
			<textarea 
			cols="30"
			rows="3" 
			placeholder="Describe yourself here...">
				"Message here"
			</textarea>
		</label>
		
	<br />
	<br />

		<label>New User:
			<input type="radio" name="gender">Yes
			<input type="radio" name="gender">No
		</label>

	<br />
	<br />

		<label>Role:
			
		<br />
		<br />

		<input type="checkbox" id="dev">
		<label for="dev">Developer</label>

		<br />
		<br />

		<input type="checkbox" id="student">
		<label for="student">Student</label>

	<br />
	<br />

	<button type="submit">Submit</button>

	</form>
	
</body>
</html>